<ng-container *transloco="let t; read: 'active_organization'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('members_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource"
        (matSortChange)="announceSortChange($event)">
        <!-- created_at column -->
        <!-- <ng-container matColumnDef="created_at">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('created_at_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{ row.created_at | translocoDate: { dateStyle: 'medium', timeStyle: 'medium' } }}
          </td>
        </ng-container> -->
        <!-- first_name Column -->
        <ng-container matColumnDef="first_name">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('first_name_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <ng-container *ngIf="row.first_name; else elseUserId">{{row.first_name}}</ng-container>
            <ng-template #elseUserId>{{row.user_id}}</ng-template>
          </td>
        </ng-container>
        <!-- last_name Column -->
        <ng-container matColumnDef="last_name">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('last_name_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.last_name}}
          </td>
        </ng-container>
        <!-- user role Column -->
        <ng-container matColumnDef="organization_user_role">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('role_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <ng-container *ngIf="row.organization_user_roles as roles">
              <app-organization-user-roles-table-cell [roles]="roles"></app-organization-user-roles-table-cell>
            </ng-container>
          </td>
        </ng-container>
        <tbody>
          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns"></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns;"></tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row  no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="3">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
